Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.ConnectionType

    java.lang.Object
      java.lang.Enum<Qt.ConnectionType>
          com.trolltech.qt.core.Qt.ConnectionType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.ConnectionType>

Enclosing interface:
  Qt

    public static enum Qt.ConnectionType

extends java.lang.Enum<Qt.ConnectionType>
implements QtEnumerator

This enum describes the types of connection that can be used between signals and slots. In particular, it determines whether a particular signal is delivered to a slot immediately or queued for delivery at a later time.

With queued connections, the parameters must be of types that are known to Qt's meta-object system, because Qt needs to copy the arguments to store them in an event behind the scenes. If you try to use a queued connection and get the error message

        QObject::connect: Cannot queue arguments of type 'MyType'

call qRegisterMetaType() to register the data type before you establish the connection.

See Also:
  Thread Support in Qt, `QObject::connect`, `qRegisterMetaType`

Enum Constant Summary
`AutoCompatConnection` Internal.
`AutoConnection` If the signal is emitted from the thread in which the receiving object lives, the slot is invoked directly, as with Qt::DirectConnection; otherwise the signal is queued, as with Qt::QueuedConnection.
`BlockingQueuedConnection` Same as `QueuedConnection`, except that the current thread blocks until the slot has been delivered.
`DirectConnection` When emitted, the signal is immediately delivered to the slot.
`QueuedConnection` When emitted, the signal is queued until the event loop is able to deliver it to the slot.

Method Summary
`static Qt.ConnectionType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.ConnectionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.ConnectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AutoConnection

    public static final Qt.ConnectionType AutoConnection

  If the signal is emitted from the thread in which the receiving object lives, the slot is invoked directly, as with Qt::DirectConnection; otherwise the signal is queued, as with Qt::QueuedConnection.

### DirectConnection

    public static final Qt.ConnectionType DirectConnection

  When emitted, the signal is immediately delivered to the slot.

### QueuedConnection

    public static final Qt.ConnectionType QueuedConnection

  When emitted, the signal is queued until the event loop is able to deliver it to the slot.

### AutoCompatConnection

    public static final Qt.ConnectionType AutoCompatConnection

  Internal.

### BlockingQueuedConnection

    public static final Qt.ConnectionType BlockingQueuedConnection

  Same as `QueuedConnection`, except that the current thread blocks until the slot has been delivered. This connection type should only be used for receivers in a different thread. Note that misuse of this type can lead to dead locks in your application.

Method Detail

### values

    public static final Qt.ConnectionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.ConnectionType c : Qt.ConnectionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.ConnectionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.ConnectionType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD